> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all failed documents

> Returns a list of failed documents for a given datasource ID



## OpenAPI

````yaml /api-reference/5.9/fusion-api-async-parsing.json get /async-parsing/failed-datasource/{datasourceId}
openapi: 3.0.1
info:
  title: Fusion Async Parsing API
  description: >-
    The Async Parsing CRUD API provides async parsing services for parsers. It
    replaces the Parsers API.


    To configure an index pipeline to use a specific parser, see the Index
    Pipelines API.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Failed Documents API
    description: >-
      Endpoints to get details about and remove documents that failed the
      parsing process.
  - name: Parsers CRUD API
    description: Endpoints to perform Create-Read-Update-Delete operations on parsers.
  - name: Parsers Schema API
    description: Endpoints to get the schema of parsers.
  - name: Async Parsing API
    description: Endpoints to indexation with asynchronous parsing
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /async-parsing/failed-datasource/{datasourceId}:
    get:
      tags:
        - Failed Documents API
      summary: List all failed documents
      description: Returns a list of failed documents for a given datasource ID
      operationId: getFailedDocsForDatasource
      parameters:
        - name: datasourceId
          description: The unique ID for the datasource that produced the failed document.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Document'
components:
  schemas:
    Document:
      type: object
      properties:
        id:
          type: string
        datasourceId:
          type: string
        documentId:
          type: string
        jobRunId:
          type: string
        collectionId:
          type: string
        pipelineId:
          type: string
        connectorType:
          type: string
        failures:
          type: integer
          format: int32
        contentType:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        requestHeaders:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        optionalContentType:
          type: string

````